package com.wd.workoffice.ui.activity.mes.user;

import android.widget.EditText;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.alibaba.fastjson.JSON;
import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;
import com.wd.workoffice.bean.mesBean.MachineDetailBean;

import butterknife.BindView;
import butterknife.ButterKnife;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MesStockDetailActivity extends WorkToolBarActivity {

    @BindView(R.id.tv_pro)
    TextView tvPro;
    @BindView(R.id.rl_pro)
    RelativeLayout rlPro;
    @BindView(R.id.et_img_code)
    TextView etImgCode;
    @BindView(R.id.tv_stock)
    TextView tvStock;
    @BindView(R.id.et_content)
    EditText etContent;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
        etContent.setClickable(false);
    }

    @Override
    protected void initData() {
        MachineDetailBean.StockListBean dataBean = JSON.parseObject(getIntent().getStringExtra("data"), MachineDetailBean.StockListBean.class);
        tvPro.setText(dataBean.getProductsName());
        etImgCode.setText(dataBean.getProductsCode());
        etContent.setText(dataBean.getOtherInformationExplain());
    }


    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_mes_user_data_other_stock;
    }

}
